ConnectionGroup
Date: 2018-05-01

com.mysql.jdbc

## Class ConnectionGroup

- java.lang.Object
- - com.mysql.jdbc.ConnectionGroup

-     public class ConnectionGroup
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionGroup(java.lang.String groupName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addHost(java.lang.String host)`
    `void` | `addHost(java.lang.String host, boolean forExisting)`
    `void` | `closeConnectionProxy(LoadBalancedConnectionProxy proxy)`
    `int` | `getActiveHostCount()`
    `long` | `getActiveLogicalConnectionCount()`
    `long` | `getActivePhysicalConnectionCount()`
    `java.util.Collection<java.lang.String>` | `getClosedHosts()`
    `java.lang.String` | `getGroupName()`
    `java.util.Collection<java.lang.String>` | `getInitialHosts()`
    `long` | `getTotalLogicalConnectionCount()`
    `long` | `getTotalPhysicalConnectionCount()`
    `long` | `getTotalTransactionCount()`
    `long` | `registerConnectionProxy(LoadBalancedConnectionProxy proxy, java.util.List<java.lang.String> localHostList)`
    `void` | `removeHost(java.lang.String host)`
    `void` | `removeHost(java.lang.String host, boolean killExistingConnections)`
    `void` | `removeHost(java.lang.String host, boolean killExistingConnections, boolean waitForGracefulFailover)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectionGroup

          ConnectionGroup(java.lang.String groupName)

  - ### Method Detail

    - #### registerConnectionProxy

          public long registerConnectionProxy(LoadBalancedConnectionProxy proxy,
                                     java.util.List<java.lang.String> localHostList)

    - #### getGroupName

          public java.lang.String getGroupName()

    - #### getInitialHosts

          public java.util.Collection<java.lang.String> getInitialHosts()

    - #### getActiveHostCount

          public int getActiveHostCount()

    - #### getClosedHosts

          public java.util.Collection<java.lang.String> getClosedHosts()

    - #### getTotalLogicalConnectionCount

          public long getTotalLogicalConnectionCount()

    - #### getActiveLogicalConnectionCount

          public long getActiveLogicalConnectionCount()

    - #### getActivePhysicalConnectionCount

          public long getActivePhysicalConnectionCount()

    - #### getTotalPhysicalConnectionCount

          public long getTotalPhysicalConnectionCount()

    - #### getTotalTransactionCount

          public long getTotalTransactionCount()

    - #### closeConnectionProxy

          public void closeConnectionProxy(LoadBalancedConnectionProxy proxy)

    - #### removeHost

          public void removeHost(java.lang.String host)
                          throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### removeHost

          public void removeHost(java.lang.String host,
                        boolean killExistingConnections)
                          throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### removeHost

          public void removeHost(java.lang.String host,
                        boolean killExistingConnections,
                        boolean waitForGracefulFailover)
                          throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### addHost

          public void addHost(java.lang.String host)

    - #### addHost

          public void addHost(java.lang.String host,
                     boolean forExisting)